uuid: 231b71a1-0001-400f-aa79-b25634c5c04f
langcode: en
status: open
dependencies: {  }
weight: 0
open: null
close: null
uid: 12
template: false
archive: false
id: speaker_request_agaric
title: 'Speaker Request - Agaric'
description: 'Request an Agaric&#39;s presence for a presentation, workshop or lecture.'
categories: {  }
elements: |-
  event_website:
    '#type': url
    '#title': 'Event website'
    '#description': 'If there is a website for this event, typle the URL here. Leave blank if there is no website. The more information we have about your event, the more relevant our presentation will be!'
    '#title_display': inline
    '#maxlength': 120
    '#size': 120
    '#placeholder': 'https://'
  event_dates:
    '#type': datetime
    '#title': 'Event date and time'
    '#title_display': inline
    '#date_date_element': datepicker
    '#date_date_datepicker_button': true
    '#date_date_placeholder': 'Date of event'
    '#date_date_format': 'D, m/d/Y'
    '#date_time_element': timepicker
    '#date_time_placeholder': 'Time of the event'
    '#date_time_format': 'g:i A'
    '#date_time_step': '1800'
  event_location:
    '#type': select
    '#title': 'Event location'
    '#description': 'If you do not have an event location yet, leave this field set to &#39;None&#39;.'
    '#options':
      online: Online
      in_person: 'In Person'
      conference_call: 'Conference Call'
  event_address:
    '#type': webform_address
    '#title': 'Event address'
    '#states':
      visible:
        ':input[name="event_location"]':
          value: in_person
    '#address_2__access': false
    '#state_province__access': false
    '#postal_code__access': false
  event_type:
    '#type': select
    '#title': 'Event type'
    '#description': |
      <p><span style="-webkit-text-stroke-width:0px; background-color:#ffffff; color:#0d1e34; display:inline !important; float:none; font-family:Poppins,&quot;Century Gothic&quot;,CenturyGothic,AppleGothic,sans-serif; font-size:10.08px; font-style:normal; font-variant-caps:normal; font-variant-ligatures:normal; font-weight:400; letter-spacing:normal; orphans:2; text-align:start; text-decoration-color:initial; text-decoration-style:initial; text-indent:0px; text-transform:none; white-space:normal; widows:2; word-spacing:0px">What type of event are you having? We can provide presentations, workshops or demonstrations of free software tools such as video chat, document management and storage, communication tools that protect your privacy and security.</span><br />
      &nbsp;</p>
      
    '#title_display': inline
    '#options':
      presentation: Presentation
      workshop: Workshop
      demo: Demo
      interview: Interview
      consultation: Consultation
    '#empty_option': 'Select one'
    '#empty_value': 'Select one'
    '#options_randomize': true
  would_you_like_agaric_to_host_your_online_event_:
    '#type': select
    '#title': 'Would you like Agaric to host your online event?'
    '#options': yes_no
    '#options_randomize': true
    '#states':
      visible:
        ':input[name="event_location"]':
          value: online
  would_you_like_agaric_to_provide_a_video_recording_of_your_event:
    '#type': select
    '#title': 'Would you like Agaric to provide a recording of your event?'
    '#options': yes_no
    '#states':
      visible:
        ':input[name="event_location"]':
          value: online
  budget_for_speaker:
    '#type': textfield
    '#title': 'Your budget'
    '#description': 'If you do not have a budget, leave this field blank and check the box below.'
    '#maxlength': 10
  i_do_not_have_a_budget_:
    '#type': checkbox
    '#title': 'I do not have a budget'
  i_do_not_have_a_budget:
    '#type': textarea
    '#title': 'I have a mission without a budget'
    '#description': 'Please explain the mission of your request and how it will help your community. We do not wish to prevent those without funds from benefitting from our expertise.'
    '#states':
      visible:
        ':input[name="i_do_not_have_a_budget_"]':
          checked: true
  description_of_event:
    '#type': textarea
    '#title': 'What else should the speaker know about this event?'
    '#description': '<span style="-webkit-text-stroke-width:0px; background-color:#ffffff; color:#0d1e34; display:inline !important; float:none; font-family:Poppins,&quot;Century Gothic&quot;,CenturyGothic,AppleGothic,sans-serif; font-size:10.08px; font-style:normal; font-variant-caps:normal; font-variant-ligatures:normal; font-weight:400; letter-spacing:normal; orphans:2; text-align:start; text-decoration-color:initial; text-decoration-style:initial; text-indent:0px; text-transform:none; white-space:normal; widows:2; word-spacing:0px">Please include any information that would be helpful for us to be able to give the most relevant presentation or workshop.</span>'
  your_name:
    '#type': webform_name
    '#title': 'Contact''s name'
    '#title__access': false
    '#first__title': 'Contact''s name'
    '#middle__access': false
    '#last__access': false
    '#suffix__access': false
    '#degree__access': false
  email:
    '#type': email
    '#title': 'Contact''s email *'
    '#required': true
    '#required_error': 'Your email is required for Agaric to respond. Your contact information will not be shared.'
  phone:
    '#type': tel
    '#title': 'Contact''s phone number'
    '#description': 'Your information will not be shared.'
    '#international': true
  speaker_s_name:
    '#type': webform_select_other
    '#title': 'Select an Agaric!'
    '#title_display': none
    '#options':
      mlncn: 'Ben Melançon'
      dinarcon: 'Mauricio Dinarte'
      wolcen: 'Christopher Thompson'
      freescholar: 'Micky Metts'
      keegan: 'Keegan Rankin'
    '#empty_option': 'Select an Agaric'
    '#empty_value': 'Select one'
  actions:
    '#type': webform_actions
    '#title': 'Submit button(s)'
    '#submit__label': 'Send to Agaric'
css: ''
javascript: ''
settings:
  ajax: false
  ajax_scroll_top: form
  ajax_progress_type: ''
  ajax_effect: ''
  ajax_speed: null
  page: true
  page_submit_path: ''
  page_confirm_path: ''
  page_theme_name: ''
  form_title: source_entity_webform
  form_submit_once: false
  form_open_message: ''
  form_close_message: 'Agaric is not accepting bookings at this time.'
  form_exception_message: ''
  form_previous_submissions: true
  form_confidential: false
  form_confidential_message: ''
  form_disable_remote_addr: false
  form_convert_anonymous: false
  form_prepopulate: false
  form_prepopulate_source_entity: false
  form_prepopulate_source_entity_required: false
  form_prepopulate_source_entity_type: ''
  form_unsaved: false
  form_disable_back: false
  form_submit_back: false
  form_disable_autocomplete: false
  form_novalidate: false
  form_disable_inline_errors: false
  form_required: false
  form_autofocus: false
  form_details_toggle: false
  form_reset: false
  form_access_denied: default
  form_access_denied_title: ''
  form_access_denied_message: ''
  form_access_denied_attributes: {  }
  form_file_limit: ''
  form_file_limit_message: ''
  form_attributes: {  }
  form_method: ''
  form_action: ''
  share: false
  share_node: false
  share_theme_name: ''
  share_title: true
  share_page_body_attributes: {  }
  submission_label: 'Speaker request for Agaric'
  submission_exception_message: ''
  submission_locked_message: ''
  submission_log: false
  submission_excluded_elements: {  }
  submission_exclude_empty: false
  submission_exclude_empty_checkbox: false
  submission_views: {  }
  submission_views_replace:
    webform_routes: {  }
    node_routes: {  }
  submission_user_columns: {  }
  submission_user_duplicate: false
  submission_access_denied: default
  submission_access_denied_title: ''
  submission_access_denied_message: ''
  submission_access_denied_attributes: {  }
  previous_submission_message: ''
  previous_submissions_message: ''
  autofill: false
  autofill_message: ''
  autofill_excluded_elements: {  }
  wizard_progress_bar: false
  wizard_progress_pages: false
  wizard_progress_percentage: false
  wizard_progress_link: false
  wizard_progress_states: false
  wizard_start_label: ''
  wizard_preview_link: false
  wizard_confirmation: true
  wizard_confirmation_label: ''
  wizard_auto_forward: true
  wizard_auto_forward_hide_next_button: false
  wizard_keyboard: true
  wizard_track: ''
  wizard_prev_button_label: ''
  wizard_next_button_label: ''
  wizard_toggle: false
  wizard_toggle_show_label: ''
  wizard_toggle_hide_label: ''
  wizard_page_type: container
  wizard_page_title_tag: h2
  preview: 0
  preview_label: ''
  preview_title: ''
  preview_message: ''
  preview_attributes: {  }
  preview_excluded_elements: {  }
  preview_exclude_empty: true
  preview_exclude_empty_checkbox: false
  draft: none
  draft_multiple: false
  draft_auto_save: false
  draft_saved_message: ''
  draft_loaded_message: ''
  draft_pending_single_message: ''
  draft_pending_multiple_message: ''
  confirmation_type: page
  confirmation_url: your-request-has-been-sent-agaric
  confirmation_title: 'Thank you for asking an Agaric to speak!'
  confirmation_message: 'Thank you! You have requested an Agaric&#39;s presence for a presentation, interview, workshop, or lecture. One of us will respond to you very soon! You can find past appearances on our individual <a href="/team">Agaric worker-owner pages</a>.'
  confirmation_attributes: {  }
  confirmation_back: true
  confirmation_back_label: ''
  confirmation_back_attributes: {  }
  confirmation_exclude_query: false
  confirmation_exclude_token: false
  confirmation_update: false
  limit_total: null
  limit_total_interval: null
  limit_total_message: ''
  limit_total_unique: false
  limit_user: null
  limit_user_interval: null
  limit_user_message: ''
  limit_user_unique: false
  entity_limit_total: null
  entity_limit_total_interval: null
  entity_limit_user: null
  entity_limit_user_interval: null
  purge: none
  purge_days: null
  results_disabled: false
  results_disabled_ignore: false
  results_customize: false
  token_view: false
  token_update: false
  token_delete: false
  serial_disabled: false
access:
  create:
    roles:
      - anonymous
      - authenticated
    users: {  }
    permissions: {  }
  view_any:
    roles: {  }
    users: {  }
    permissions: {  }
  update_any:
    roles: {  }
    users: {  }
    permissions: {  }
  delete_any:
    roles: {  }
    users: {  }
    permissions: {  }
  purge_any:
    roles: {  }
    users: {  }
    permissions: {  }
  view_own:
    roles: {  }
    users: {  }
    permissions: {  }
  update_own:
    roles: {  }
    users: {  }
    permissions: {  }
  delete_own:
    roles: {  }
    users: {  }
    permissions: {  }
  administer:
    roles: {  }
    users: {  }
    permissions: {  }
  test:
    roles: {  }
    users: {  }
    permissions: {  }
  configuration:
    roles: {  }
    users: {  }
    permissions: {  }
handlers:
  email:
    id: email
    handler_id: email
    label: Email
    notes: ''
    status: true
    conditions: {  }
    weight: 0
    settings:
      states:
        - completed
      to_mail: '[webform:author:mail]'
      to_options: {  }
      bcc_mail: ''
      bcc_options: {  }
      cc_mail: ''
      cc_options: {  }
      from_mail: _default
      from_options: {  }
      from_name: _default
      reply_to: ''
      return_path: ''
      sender_mail: ''
      sender_name: ''
      subject: _default
      body: _default
      excluded_elements: {  }
      ignore_access: false
      exclude_empty: true
      exclude_empty_checkbox: false
      exclude_attachments: false
      html: true
      attachments: false
      twig: false
      theme_name: ''
      langcode: ''
      parameters: {  }
      debug: false
variants: {  }
